Problems with conflicts of portages, overlays or SLOTS

Anything that pertains to Portage

Moderator: Moderators

Problems with conflicts of portages, overlays or SLOTS

Postby albfneto » Sun Jul 20, 2008 20:18

I use Sabayon and gentoo.
in sabayon, after i used and created my particular portage dir, using overlays for testing new unstable packages,
i have aproblem when i emerge pratically anything...
i received this message in emerge commands,and alsoin Kuroo, Portato!

!!! Multiple versions within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:
!!! The following installed packages are masked:
Fernando J. Pereda (07 Jun 2008)
Using the git porcelain is recommended over cogito.
gitweb is installed by the git ebuild


other problems,1) ex,whem i emerge emerald:

# emerge emerald
WARNING: repository at /usr/local/portage is missing a repo_name entry
Calculating dependencies |

!!! The short ebuild name "emerald" is ambiguous. Please specify
!!! one of the following fully-qualified ebuild names instead:

app-portage/emerald
x11-wm/emerald


2) and when i try to emerge compiz-fusion:

localhost ~ # emerge compiz-fusion
WARNING: repository at /usr/local/portage is missing a repo_name entry
Calculating dependencies... done!
[ebuild U ] dev-libs/glib-2.16.4 [2.12.11] USE="-fam% (-selinux) -xattr%"
[ebuild U ] dev-libs/libxml2-2.6.32 [2.6.28] USE="-bootstrap% -build% -examples%"
[ebuild U ] x11-libs/compiz-bcop-0.6.0 [0.5.2]
[ebuild U ] x11-libs/pango-1.20.5 [1.16.3] USE="X%*"
[ebuild U ] x11-apps/ccsm-0.6.0 [0.5.2]
[ebuild U ] x11-plugins/compiz-fusion-plugins-extra-0.6.0 [0.5.2]
[ebuild N ] dev-util/gtk-doc-am-1.10-r1
[ebuild U ] x11-libs/gtk+-2.12.11 [2.10.11] USE="cups%* -vim-syntax%"
[ebuild U ] x11-libs/libwnck-2.22.3 [2.18.0]
[ebuild U ] x11-wm/compiz-0.6.2-r1 [0.5.2] USE="-debug%"
[ebuild U ] x11-plugins/compiz-fusion-plugins-main-0.6.0 [0.5.2] USE="jpeg%*"
[ebuild U ] x11-libs/libcompizconfig-0.6.0 [0.5.2]
[ebuild N ] x11-wm/emerald-0.5.2 USE="-debug"
[ebuild U ] x11-libs/compizconfig-backend-gconf-0.6.0 [0.5.2]
[ebuild U ] x11-themes/emerald-themes-0.5.2 [0.2.1]
[ebuild U ] x11-libs/compizconfig-backend-kconfig-0.6.0 [0.5.2]
[ebuild U ] x11-wm/compiz-fusion-0.6.0 [0.5.2]
[uninstall ] dev-util/gtk-doc-1.8
[blocks b ] <=dev-util/gtk-doc-1.10 (is blocking dev-util/gtk-doc-am-1.10-r1)

!!! Multiple versions within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-libs/libcompizconfig:0

('installed', '/', 'x11-libs/libcompizconfig-0.5.2', 'nomerge') pulled in by
('installed', '/', 'dev-python/compizconfig-python-0.5.2', 'nomerge')

('ebuild', '/', 'x11-libs/libcompizconfig-0.6.0', 'merge') pulled in by
('ebuild', '/', 'x11-libs/compizconfig-backend-kconfig-0.6.0', 'merge')
('ebuild', '/', 'x11-libs/compizconfig-backend-gconf-0.6.0', 'merge')

x11-wm/compiz:0

('installed', '/', 'x11-wm/compiz-0.5.2', 'nomerge') pulled in by
('installed', '/', 'x11-libs/libcompizconfig-0.5.2', 'nomerge')

('ebuild', '/', 'x11-wm/compiz-0.6.2-r1', 'merge') pulled in by
('ebuild', '/', 'x11-libs/libcompizconfig-0.6.0', 'merge')
('ebuild', '/', 'x11-libs/compizconfig-backend-kconfig-0.6.0', 'merge')
('ebuild', '/', 'x11-libs/compizconfig-backend-gconf-0.6.0', 'merge')
(and 3 more)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously. If such a conflict exists in the
dependencies of two different packages, then those packages can not be
installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man page
or refer to the Gentoo Handbook.


!!! The following installed packages are masked:
- net-wireless/wpa_supplicant-0.6.0-r10 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Roy Marples <[email protected]> (29 Jun 2007)
# Masked due to several connectivity issues.

- app-admin/system-tools-backends-2.2.1-r2 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Gilles Dartiguelongue <[email protected]> (24 Jan 2008)
# add masked gnome-system-tools-2.20 and dependencies
# for testing purpose

- net-print/foomatic-db-20060720 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Zac Medico <[email protected]> (18 May 2008)
# Masked to ensure that pseudo-downgrade happens correctly, following
# version scheme change from YYYYMMDD to 3.0.YYYYMMDD.

- media-video/manslide-1.5.9 (masked by: invalid: SLOT is undefined)
- sys-power/powersave-0.15.11 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Stefan Schweizer <[email protected]> (11 Mar 2008)
# Please use kpowersave-0.7.3 with dbus instead of the powersave daemon

- media-video/manencode-0.8 (masked by: invalid: SLOT is undefined)
- media-video/mandvd-2.4-r2 (masked by: invalid: SLOT is undefined)
- dev-libs/libtar-1.2.11-r1 (masked by: missing keyword)
- net-print/foomatic-db-ppds-20060720 (masked by: package.mask)
- net-misc/nm-applet-0.6.5-r1 (masked by: invalid: SLOT is undefined)
- dev-util/cogito-0.18.2 (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Fernando J. Pereda <[email protected]> (07 Jun 2008)
# Using the git porcelain is recommended over cogito.
# gitweb is installed by the git ebuild

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


3) when i try to emerge portage itself,or python,or thunar for ex, no problem.


4)in the kuroo window also. some use compilation flags appear in the place of the text that was the description of the packages.

my system now have two portages, the normal and my particular portage list. i have packages masked by slot problem
autounmask command does not solve.
What is the best manner for solve this, or for compatibilize the two portages, more than overlay, SLOT etc....
Last edited by albfneto on Thu Jul 24, 2008 19:05, edited 2 times in total.
ALBERTO FEDERMAN NETO
albfneto
[email protected]
Favorite Distros: Sabayon, Gentoo, Mageia and OpenSUSE
User avatar
albfneto
Sagely Hen
 
Posts: 1728
Joined: Fri Nov 16, 2007 1:15
Location: Ribeirão Preto City, São Paulo State, Brazil

Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest

cron